Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Sirius » I can´t install Epsilon in Obeo Designer 11.0(Install Epsilon)
I can´t install Epsilon in Obeo Designer 11.0 [message #1797785] Tue, 06 November 2018 12:08 Go to next message
Cristian Gómez is currently offline Cristian GómezFriend
Messages: 18
Registered: April 2018
Junior Member
Hi everyone,

I need install the Epsilon 1.5 plugins for my Obeo Designer 11.0 but the wizards can't complete the installation. I attach an image of the problem. Any idea to solve the problem?

Thank you so much,

Cristian.

[Updated on: Tue, 06 November 2018 12:09]

Report message to a moderator

Re: I can´t install Epsilon in Obeo Designer 11.0 [message #1797786 is a reply to message #1797785] Tue, 06 November 2018 12:16 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6440
Registered: July 2009
Senior Member
Hi

You have provided a screen shot of the useless 'solution' rather than a copy and paste log of the original problem so it is hard to know what your problem is.

I have been using Epsilon 1.5 on recent platforms with only a minor testing problem [1]. But I think that it is very unlikely that this would cause an install problem.

Regards

Ed Willink

[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=538063
Re: I can´t install Epsilon in Obeo Designer 11.0 [message #1797792 is a reply to message #1797786] Tue, 06 November 2018 12:54 Go to previous messageGo to next message
Cristian Gómez is currently offline Cristian GómezFriend
Messages: 18
Registered: April 2018
Junior Member
Hi,

Sorry I haven't attacched this photo where the errors are shown.

Thanks.
  • Attachment: errors.png
    (Size: 27.50KB, Downloaded 20 times)
Re: I can´t install Epsilon in Obeo Designer 11.0 [message #1797794 is a reply to message #1797792] Tue, 06 November 2018 13:09 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6440
Registered: July 2009
Senior Member
Hi

Once again you have provide an inadequate screen shot showing just two levels of the error message. A copy and paste would show all and allow me to copy in turn.

From what you show it would appear that XSD is missing suggesting that you have a limited EMF install and have not permitted the install to search for more either by allowing contact all sites or by providing a useful EMF site.

Correction: I have been successfully using 1.5.0. It appears that 1.5.1 has silently displaced 1.5.0. Epsilon does not provide versioned update sites.

Regards

Ed Willink
Re: I can´t install Epsilon in Obeo Designer 11.0 [message #1797952 is a reply to message #1797794] Fri, 09 November 2018 07:15 Go to previous messageGo to next message
Cristian Gómez is currently offline Cristian GómezFriend
Messages: 18
Registered: April 2018
Junior Member
Hi,

I solved the problem by following these installation steps in order:

Eclipse Photon Repository: http://download.eclipse.org/releases/photon/ (Install: Equinox Target Components)
GMF Tooling: http://download.eclipse.org/modeling/gmp/gmf-tooling/updates/releases/ (Install: Graphical Modelling Framework (GMF) Tooling SDK)
Epsilon 1.5.1: http://download.eclipse.org/epsilon/updates/

Thank you so much,

Cristian.
Re: I can´t install Epsilon in Obeo Designer 11.0 [message #1798082 is a reply to message #1797952] Mon, 12 November 2018 09:11 Go to previous message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6440
Registered: July 2009
Senior Member
Hi

Your problems prompted me to look at Epsilon/QVTo/GMF Tooling issues and it appears that having got past your installation problem you will soon hit the NPE during GMFgen problem.

GMF Tooling unfortunately uses internal QVTo API, which the QVTo project has twice evolved (in 2013 and 2016) breaking GMF Tooling on each occasion. You must therefore use an old version of QVTo to match the old version of the see,mingly dead GMF Tooling project.

However, since GMF Tooling is clearly still in use, I was inspired to try and re-instate the internal APIs and avoid the need for an old QVTo. See [1]

If you download and try

https://hudson.eclipse.org/qvt-oml/job/qvto-branch-tests/70/artifact/releng/org.eclipse.qvto.releng.build-site/target/org.eclipse.qvto-3.9.1.N20181109-1902.zip

you should find two API breakages re-instated. Once we have confirmation that this makes GMF Tooling useful again we can look to include the fixes in the next QVTo release.

Regards

Ed Willink

[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=540971
Previous Topic:Sirius based RCP creation
Next Topic:API for edge creation?
Goto Forum:
  


Current Time: Sat Aug 24 21:53:40 GMT 2019

Powered by FUDForum. Page generated in 0.01682 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top